<template>
  <div>
    <slot></slot>
  </div>
</template>

<script>
export default {
  name: 'Toolbar',
  mounted () {
    this.toolbar = this.$state.layout.$refs.toolbar
    this.toolbar.appendChild(this.$el)
  },
  beforeDestroy () {
    this.toolbar.removeChild(this.$el)
  }
}
</script>
